de.dhbwstuttgart.parser

## Class Token

- java.lang.Object
- - de.dhbwstuttgart.parser.Token

    public class Token
    extends java.lang.Object

### Field Summary

Fields
`private java.lang.String` `lexem`
`private int` `m_LineNumber`
`private int` `m_Offset`
`java.lang.Object` `token`

### Constructor Summary

Constructors
Constructor and Description
`Token(int tok, char c, int lineNumber)`
`Token(int tok, char c, int lineNumber, int charOffset)`
`Token(int tok, int lineNumber)`
`Token(int tok, java.lang.String s, int lineNumber)`
`Token(int tok, java.lang.String s, int lineNumber, int charOffset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `CharInString()`
`java.lang.String` `get_String()`
`java.lang.String` `getLexem()`
`int` `getLineNumber()`
`int` `getOffset()`
`boolean` `String2Bool()`
`double` `String2Double()`
`float` `String2Float()`
`int` `String2Int()`
`long` `String2Long()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### token

    public java.lang.Object token

#### lexem

    private java.lang.String lexem

#### m_LineNumber

    private int m_LineNumber

#### m_Offset

    private int m_Offset

### Constructor Detail

#### Token

    Token(int tok,
          int lineNumber)

#### Token

    Token(int tok,
          java.lang.String s,
          int lineNumber)

#### Token

    Token(int tok,
          char c,
          int lineNumber)

#### Token

    Token(int tok,
          java.lang.String s,
          int lineNumber,
          int charOffset)

#### Token

    Token(int tok,
          char c,
          int lineNumber,
          int charOffset)

### Method Detail

#### getLineNumber

    public int getLineNumber()

#### getOffset

    public int getOffset()

#### getLexem

    public java.lang.String getLexem()

#### String2Int

    public int String2Int()

#### String2Long

    public long String2Long()

#### String2Float

    public float String2Float()

#### String2Double

    public double String2Double()

#### CharInString

    public char CharInString()

#### String2Bool

    public boolean String2Bool()

#### get_String

    public java.lang.String get_String()